## swift-bench 1.0

=== requirements.txt ===
python-swiftclient
eventlet>=0.9.15

=== debian/changelog ===
swift-bench (1.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Feb 2016 12:28:03 +0800

swift-bench (1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #812367)

 -- Ondřej Nový <novy@ondrej.org>  Fri, 22 Jan 2016 13:57:35 -0500

=== debian/control ===
Source: swift-bench
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Ondřej Nový <novy@ondrej.org>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-eventlet,
                     python-mock,
                     python-testtools,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Homepage: https://github.com/openstack/swift-bench
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/swift-bench.git
Vcs-Git: https://anonscm.debian.org/git/openstack/swift-bench.git

Package: swift-bench
Architecture: all
Depends: python-eventlet,
         python-swift,
         python-swiftclient,
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: benchmarking tool for Swift
 Swift Bench is simple tool for benchmarking OpenStack Swift cluster
 .
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.

## swift-bench 1.2.0

=== requirements.txt ===
python-swiftclient
eventlet>=0.17.4  # MIT

=== debian/changelog ===
swift-bench (1.2.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * d/copyright: Bump my copyright year.
  * Use debhelper-compat instead of debian/compat.
  * Use pybuild for building package.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

  [ Thomas Goirand ]
  * Convert the package to Python 3.

 -- Ondřej Nový <onovy@debian.org>  Mon, 05 Aug 2019 13:13:07 +0200

swift-bench (1.2.0-4) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Bump my copyright year
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Bump debhelper compat level to 11
  * Bump standards version to 4.2.1 (no changes)
  * Drop python-sphinx from B-D (not needed)
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 18:59:28 +0200

swift-bench (1.2.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/{control,copyright}: Use my @debian.org email address
  * Bump debhelper compat level to 10
  * Updating standards version to 4.1.2.
  * d/copyright: Bump my copyright year
  * d/rules: Use dh_missing --fail-missing

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

 -- Ondřej Nový <onovy@debian.org>  Sun, 10 Dec 2017 10:56:08 +0100

swift-bench (1.2.0-2) unstable; urgency=medium

  * Fixed hardcoded Python 2.7 version when running unit tests
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Fixed wrong Upstream-Name and Source
  * Change directory to $ADTTMP before running Debian tests

 -- Ondřej Nový <novy@ondrej.org>  Thu, 02 Jun 2016 16:39:24 +0200

swift-bench (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Added Debian tests.
  * Standards-Version is 3.9.7 now (no change).
  * Added dh-python build dependency.
  * Added python-hacking build dependency.

 -- Ondřej Nový <novy@ondrej.org>  Wed, 24 Feb 2016 10:25:40 +0100

=== debian/control ===
Source: swift-bench
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Ondřej Nový <onovy@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-eventlet,
 python3-hacking,
 python3-mock,
 python3-nose,
 python3-swiftclient,
 python3-testrepository,
 python3-testtools,
Standards-Version: 4.4.0
Homepage: https://github.com/openstack/swift-bench
Vcs-Browser: https://salsa.debian.org/openstack-team/services/swift-bench
Vcs-Git: https://salsa.debian.org/openstack-team/services/swift-bench.git

Package: swift-bench
Architecture: all
Depends:
 python3-eventlet,
 python3-swift,
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Description: benchmarking tool for Swift
 Swift Bench is simple tool for benchmarking OpenStack Swift cluster
 .
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export PYBUILD_NAME=swift-bench

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_install:
	install -D -m 0644 $(CURDIR)/etc/swift-bench.conf-sample $(CURDIR)/debian/swift-bench/etc/swift/swift-bench.conf
	dh_auto_install

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/openstack/swift-bench/tags .*/(\d[\d\.]+.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
https://tarballs.openstack.org/swift-bench/ swift-bench-(\d[\d\.]+.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## swift-bench 1.2.0+git.2023.11.08.e8eb9511d2

=== requirements.txt ===
python-swiftclient>=3.2.0
eventlet>=0.17.4  # MIT
six>=1.9.0

=== debian/changelog ===
swift-bench (1.2.0+git.2023.11.08.e8eb9511d2-1) unstable; urgency=medium

  * New release based on latest commit hash.
  * Drop patches applied upstream:
    - py3.12-fix-AssertEquals.patch
    - python3-compat.patch
  * Add remove-python2-support.patch and remove six (build-)depends.
  * Removed the use of python3-nose (Closes: #1018644).
  * Add switch-to-unittest.mock.patch and remove python3-mock b-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 12:05:38 +0100

swift-bench (1.2.0-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Philippe Seraphin ]
  * Add python 3.12 patches (Closes: #1058196):
    - py3.12-fix-AssertEquals.patch
    - py3.12-fix-readfp.patch
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Dec 2023 12:01:00 +0100

=== debian/control ===
--- 
+++ 
@@ -14,12 +14,11 @@
 Build-Depends-Indep:
  python3-eventlet,
  python3-hacking,
- python3-mock,
- python3-nose,
+ python3-stestr,
  python3-swiftclient,
  python3-testrepository,
  python3-testtools,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/openstack/swift-bench
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/swift-bench
 Vcs-Git: https://salsa.debian.org/openstack-team/services/swift-bench.git

## swift-bench 2.0.0

=== requirements.txt ===
python-swiftclient>=3.2.0
eventlet>=0.17.4  # MIT

=== debian/changelog ===
swift-bench (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed all patches, all applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:15:15 +0100

swift-bench (1.2.0+git.2023.11.08.e8eb9511d2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

  [ Thomas Goirand ]
  * Add python3.13-fix-syntax-error.patch (Closes: #1087105).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 12:45:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
- Ondřej Nový <onovy@debian.org>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,12 @@
 	install -D -m 0644 $(CURDIR)/etc/swift-bench.conf-sample $(CURDIR)/debian/swift-bench/etc/swift/swift-bench.conf
 	dh_auto_install
 
+override_dh_auto_test:
+	pkgos-dh_auto_test 'tests'
+
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_clean:
+	dh_clean
+	rm -rf swiftbench/__pycache__

=== debian/tests/control ===
Tests: help
Depends:
 swift-bench,
